﻿:root {
    --pli-blue: #2250A5;
    --pli-orange: #DE9E1D;
    --col-red: #dc3545;
    --light-blue: rgb(34 80 164 / 10%);
}

/*COLORS*/
.pli-blue {
    color: var(--pli-blue) !important;
}

.pli-bg-blue {
    background-color: var(--pli-blue) !important;
}

.fs-12 {
    font-size: 12px !important;
}

.fs-14 {
    font-size: 14px !important;
}

.w-100{
    width: 100% !important;
}

.curp{
    cursor: pointer;
}

.border-outlined {
    border-radius: 5px;
    border: 1px #ccc solid;
}

.no-textflow {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.bg-grouping{
    background-color: hwb(219deg 13% 35% / 10%);
    padding: 1em;
    border-radius: 5px;
}

.card-style{
    border: 1px solid;
    border-radius: 5px;
    box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.2), -5px -5px 10px rgba(0, 0, 0, 0.1);
    padding: 1em;
}

.material-symbols-outlined {
    font-variation-settings: 'FILL' 0, 'wght' 400, 'GRAD' 0, 'opsz' 24;
}

.material-symbols-outlined-300 {
    font-variation-settings: 'FILL' 0, 'wght' 300, 'GRAD' 0, 'opsz' 24;
}

.add-div {
    padding: 2em;
    border: 2px dashed #2250a5;
    background: rgb(34 80 165 / 10%);
    color: #2250a5;
    border-radius: 6px;
}

.uploadicon {
    background-color: #2250a5;
    padding: 7px;
    margin: 5px;
    color: white;
    border-radius: 3px;
    height:min-content;
    
}

.document-div {
    max-height: fit-content;
    border: 1px solid #2250a5;
    border-radius: 4px;
    background-color: rgb(34 80 165 / 10%);
    align-items:center;
    padding: 1em;
}

    .document-div a {
        text-decoration: underline;
    }

input[type="file"] {
    display: none;
}

.stepper-wrapper {
    display: flex;
    justify-content: space-between;
    margin-bottom: 20px;
    margin-top:20px;
}

.stepper-item {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    color: white;
}

.stepper-item::before {
    position: absolute;
    content: "";
    border-bottom: 2px solid #ccc;
    width: 100%;
    top: 20px;
    left: -50%;
    z-index: 2;
}

.stepper-item::after {
    position: absolute;
    content: "";
    border-bottom: 2px solid #ccc;
    width: 100%;
    top: 20px;
    left: 50%;
    z-index: 2;
}

.stepper-item .step-counter {
    position: relative;
    z-index: 5;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 40px;
    height: 40px;
    min-height:20px;
    border-radius: 50%;
    background: #ccc;
    margin-bottom: 6px;

}
.stepper-item.active .step-counter {
    background: white;
    border: 2px var(--pli-blue) solid;
}


.step-counter .material-symbols-outlined{
    font-size:16px;
}

.stepper-item.active {
    font-weight: bold;
    color: var(--pli-blue);
}



.stepper-item.completed .step-counter {
    background-color: #2250a5;
}

.stepper-item.completed::after {
    position: absolute;
    content: "";
    border-bottom: 2px solid #2250a5;
    width: 100%;
    top: 20px;
    left: 68%;
    z-index: 3;

}

.stepper-item:first-child::before {
    content: none;
}

.stepper-item:last-child::after {
    content: none;
}

.step-name{
    text-align:center;
    padding:2px;
    color:black;
    font-size: 10px;
}

.stepper-item.active .step-name {
    text-align: center;
    padding: 2px;
    color: var(--pli-blue);
    font-size: 10px;
}


@media (max-width: 425px) {
    .step-name {
        display:none;
        
    }
    .stepper-item.completed::after {
        left:75%
    }
}

.card {
    border: 1px solid;
    border-radius: 8px;
    box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.2), -5px -5px 10px rgba(0, 0, 0, 0.1);
}

.add-row-div {
    border-radius: 4px;
    border: 0;
    background-color: var(--pli-blue);
    color: white;
    padding: 4px;
}

.card-title {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    color: var(--pli-blue);
}

.product-image {
    width: 80px;
    height: 80px;
    object-fit: cover;
}

.dataTables_filter input[type=search] {
    margin-bottom: 0.5em !important;
}

.dataTable th{
    color:white !important;
    vertical-align: top;
}

table th {
    color: white !important;
}

.dataTable td p{
    margin: 0;
}


table.dataTable {
    border-radius: 10px !important;
    overflow: hidden; 
}

@media screen and (max-width: 768px) {
    .dataTables_wrapper {
        overflow-x: auto;
    }
}

.closebutton {
    background-color: #dc3545;
    padding: 7px;
    margin: 5px;
    color: white;
    border-radius: 3px;
    height: min-content;
    border: none;
}

.category-icon {
    width: 3em;
    height: 3em;
    border-radius: 100em;
    margin: 0.5em;
    border: 1px #ccc solid;
}

.category-icon.active-category {
    border: 3px solid #2250A5;
    border-radius: 100em;
}

.category-icon img{
    width: 2em;
    height: 2em;
}

.delist-modal{
    justify-content:normal;
}

.dropdown-filter::after{
    display:none;
}

.filter-chosen {
    width: 13em;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.fulfillment-option.selected {
    background-color: var(--pli-blue);
    color:white;
}

.ql-editor {
    background-color: white;
}

.ql-toolbar {
    background-color: white;
}

.variant-top {
    padding: 1em 1em 0 1em;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    border: 1px #ccc solid;
    background-color: hwb(219deg 13% 35% / 10%);
}

.variant-bottom {
    padding: 1em;
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
    border: 1px #ccc solid;
}

.right-bordered {
    border-right: 2px #ccc solid;
}

.selectize-input{
    height: 3em !important;

}

.selectize-control.multi .selectize-input [data-value] {
    background-image: none !important;
    background-color: var(--pli-blue) !important;
}

.close-delete-btn {
    border-radius: 100%;
    background-color: #dc3545;
    color: white;
}

.image-placeholder {
    width: 18em;
    height: 18em;
    object-fit: cover;
    border: 2px var(--pli-blue) solid;
    color: var(--pli-blue);
    overflow:hidden;
}

.shipping-info {
    position: absolute;
    left: 25px;
    color: white;
    bottom: 25px;
    background-color: orange;
    padding: 1px;
    border-radius: 50%;
}

.date-label {
    position: absolute;
    top: -1.3em;
}

.btn-outline-primary {
    color: var(--pli-blue);
    border-color: var(--pli-blue);
}

.btn-outline-primary:hover {
    color: var(--pli-blue);
    background-color: var(--light-blue);
}

.btn-check:checked + .btn-outline-primary, .btn-check:active + .btn-outline-primary, .btn-outline-primary:active, .btn-outline-primary.active, .btn-outline-primary.dropdown-toggle.show {
    color: #fff;
    background-color: var(--pli-blue);
}

a.disabled {
    pointer-events: none;
    opacity: 0.5;
    cursor: not-allowed;
}

.td-desc-flow {
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
}

.company-logo{
    height: 60px;
    width: 60px;
    object-fit: cover;
}

.offcanvas {
    visibility: visible !important;
}

.offcanvas-custom {
    width: 80%;
}

.company-logo-offcanvas {
    height: 80px;
    width: 80px;
    object-fit: cover;
    border-radius: 50%;
    border: 2px var(--pli-blue) solid;
}

.sidebar-offcanvas{
    padding-right: 1em;
    padding-bottom: 2em;
    border-right: 1px #ccc solid;
    height: 100vh;
    position: fixed;
    background: white;
    padding-top: 2em;
}

.with-nav .header-offcanvas {
    margin-left: 12.44em;
}

.header-offcanvas {
    border-bottom: 1px #ccc solid;
    padding-top: 2em;
    padding-bottom: 2em;
    position: fixed;
    background: white;
    width: -webkit-fill-available;
    padding: 1.5em 2em;
    z-index: 999;
}

.header-offcanvas::after {
    content: "";
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.5)),
                var(--header-bg-img);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    z-index: -1; 
}

.header-offcanvas {
    --header-bg-img: url('https://images.samsung.com/is/image/samsung/ph-feature-galaxy-a70-163853688?$FB_TYPE_A_JPG$');
}

.header-offcanvas.blue-header::after {
    background: var(--light-blue) !important;
}

.with-nav .body-offcanvas {
    margin-left: 11em;
}

.body-offcanvas {
    padding-top: 3em;
    padding-bottom: 2em;
    padding-left: 3em;
    padding-right: 3em;
    margin-top: 6em;
}

@media (max-width: 768px) {
    .sidebar-text{
        display:none;
    }
    .header-offcanvas {
        margin-left: 3.74em;
    }
    .body-offcanvas {
        margin-left: 2.63em;
    }
    .merchant-details {
        width: 100%;
    }
}

.navbar-vertical {
    padding-top: 1em;
    background: #031b48 !important;
}

.navbar-vertical .nav-link {
    color: white !important
}

    .navbar-vertical .nav-link svg {
        color: white !important
    }

.is-invalid {
    border-color: #dc3545 !important;
}

.is-valid {
    border-color: #28a745 !important;
}

.invalid-feedback {
    width: 100%;
    margin-top: 0.25rem;
    font-size: 0.875em;
    color: #dc3545;
}

label.required::after {
    content: " *";
    color: red;
}

.card-hover:hover {
    box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.15) !important;
    cursor: pointer;
}

.text-hover:hover {
    text-decoration: underline;
    cursor: pointer;
}

.header-border-bot {
    border-bottom: 1px solid #dfdfdf;
    padding-bottom: 5px;
}

.offcanvas-header {
    border-bottom: 1px solid #dfdfdf;
}

.text-red {
    color: var(--col-red) !important;
}

.w-fit {
    width: fit-content;
}

.text-decor {
    text-decoration: underline;
}

.offcanvas .filter-footer {
    position: absolute;
    bottom: 1em;
    padding-right: 2em;
    width: 100%;
}

.order-item .img-container, .smol-img.img-container {
    width: 4em !important;
    height: 4em !important;
    overflow: hidden;
    border: 1px solid #dfdfdf;
    border-radius: 3px;
}

.order-item .img-container img, .smol-img.img-container img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

.card-blue {
    padding: 1em;
    background: aliceblue;
    border-radius: 6px;
    border: 1px solid #dfdfdf;
}

.gallery-count {
    position: relative;
    display: inline-block;
}

.gallery-count::after {
    content: "+5";
    position: absolute;
    height: 100%;
    bottom: 0;
    left: 0;
    right: 0;
    padding: 10px;
    background: var(--light-blue);
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    cursor: pointer;
    font-size: 32px;
}

.gallery-count img {
    width: 100%;
    display: block;
}

.icon-overlay {
    position: relative;
    display: inline-block;
}

.icon-overlay::after {
    font-family: "Material Symbols Outlined";
    position: absolute;
    height: 100%;
    bottom: 0;
    left: 0;
    right: 0;
    padding: 10px;
    background: var(--light-blue);
    color: white;
    font-size: 16px;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    cursor: pointer;
    font-size: 32px;
}

.icon-overlay.icon-video::after {
    content: "videocam";
}

.icon-overlay.icon-image::after {
    content: "image";
}

    .icon-overlay.icon-add::after {
        content: "add";
        color: var(--pli-blue) !important;
    }

    .icon-overlay.icon-add img {
        opacity: 0;
    }

    .icon-overlay img {
        width: 100%;
        display: block;
    }

.product-gallery .img-thumbnail.active {
    border: 2px solid var(--pli-blue);
}

.welcome-page {
    padding: 8em 12em !important;
}

.welcome-page .welcome-text {
        font-weight: 300;
}

.welcome-page .wp-user {
    margin-top: -0.25em;
    font-size: 5em;
}

.welcome-page img {
    position: absolute;
    width: 65%;
    right: 8em;
    top: 1em;
    z-index: -1;
}

.action-btn {
  width: 2em;
  height: 2em;
  padding: 0 !important;

}
